import { defineComponent as r, ref as o, createBlock as n, openBlock as a, mergeProps as u } from "vue";
import i from "../../../../../commons/components/Chart/index.vue.mjs";
const p = r({ name: "ShjScatterBubble" }), h = /* @__PURE__ */ r({
  ...p,
  props: {
    option: {},
    sources: {},
    useEvents: {}
  },
  setup(c, { expose: t }) {
    const s = o();
    return t({
      getEchartsInstance: () => {
        var e;
        return (e = s.value) == null ? void 0 : e.getEchartsInstance();
      },
      refresh: () => {
        var e;
        return (e = s.value) == null ? void 0 : e.refresh();
      },
      refreshView: () => {
        var e;
        return (e = s.value) == null ? void 0 : e.refreshView();
      },
      refreshData: () => {
        var e;
        return (e = s.value) == null ? void 0 : e.refreshData();
      }
    }), (e, f) => (a(), n(i, u({
      ref_key: "componentRef",
      ref: s,
      "is-parse-scatter": !0,
      option: e.option,
      sources: e.sources,
      "use-events": e.useEvents,
      "is-multi-series": e.option.isMultiSeries
    }, e.$attrs), null, 16, ["option", "sources", "use-events", "is-multi-series"]));
  }
});
export {
  h as default
};
